#include <machine/console.h>
#include <stdio.h>
#include <fcntl.h>

int main( int argc, char **argv )
{
	int n, fd;
	if( argc != 2 )
	{
		fprintf( stderr, "Usage: setcon n\n" );
		return 1;
	}
	if( n = atoi( argv[1] ), n < 1 || n > 12 )
	{
		fprintf( stderr, "setcon: Bad number\n" );
		fprintf( stderr, "Usage: setcon n\n" );
		return 1;
	}
	if( fd = open( "/dev/ttyv0", O_RDWR ), fd == -1 )
		perror( "open( \"/dev/ttyv0\" )" );
	else if( ioctl( fd, VT_ACTIVATE, (char *)n ) == -1 )
		perror( "ioctl( VT_ACTIVATE )" );
	return 0;
}
